---
patternType: "smooth scroll"
---
## Smooth Scroll
Including this component will apply smooth scroll behavior to all anchor links on a page.

## Usage
- When using a fixed header, you can avoid scrolling past anchors (and hiding the start
of the content under the fixed header) by adding the class `js-bolt-smooth-scroll-offset`
to the fixed header element itself.
- To disable smooth scrolling for an individual link, add the `data-scroll-ignore` to the
link attributes.
- TODO: Document additional link-specific options.
